Package: grails.build.support

## [Java] Class MetaClassRegistryCleaner

- grails.build.support.MetaClassRegistryCleaner

- All Implemented Interfaces and Traits:
    groovy.lang.MetaClassRegistryChangeEventListener

      @java.lang.SuppressWarnings("rawtypes")
      public class MetaClassRegistryCleaner
      extends java.lang.Object

  Allows clean-up of changes made to the MetaClassRegistry.

  Authors:
    Graeme Rocher
  Since:
    2.0

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static void` | `addAlteredMetaClass(java.lang.Class cls, groovy.lang.MetaClass altered)`
    `` | `void` | `clean()`
    `` | `static void` | `cleanAndRemove(MetaClassRegistryCleaner cleaner)`
    `` | `static MetaClassRegistryCleaner` | `createAndRegister()`
    `` | `void` | `updateConstantMetaClass(groovy.lang.MetaClassRegistryChangeEvent cmcu)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### public static void addAlteredMetaClass(java.lang.Class cls, groovy.lang.MetaClass altered)

    - #### public void clean()

    - #### public static void cleanAndRemove(MetaClassRegistryCleaner cleaner)

    - #### public static MetaClassRegistryCleaner createAndRegister()

    - #### public void updateConstantMetaClass(groovy.lang.MetaClassRegistryChangeEvent cmcu)